/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_elastic_brackets_test.pov
 
*/
  ////
 //   example   //
//_____________//  
#global_settings{charset utf8}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_150310.inc" 
// 
CL_rlp_make_text_string_set(1) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#declare fraction_object  =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                              "#f'(x)","#f(x)",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions =  CL_dimensions_out; 
//
// Make and display the bracket object 
#declare btype = 1; // 0 omits the delimiter, 1 is rounded brackets, 2 square, 3 curly, 4 angle, 5 bar, > 5 defaults to round
#declare bracket_object  = object{CL_rlp_make_elastic_bracket_pair(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                   fraction_object,CL_medium_space,btype,btype,inner_dimensions,CL_dimensions_out)} 
object{bracket_object translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-50> look_at <0,0,0> angle 15}

